Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPUserAttributeSubpacketVector

    java.lang.Object
      org.bouncycastle.openpgp.PGPUserAttributeSubpacketVector

    public class PGPUserAttributeSubpacketVector

extends java.lang.Object

Container for a list of user attribute subpackets.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`ImageAttribute` | `getImageAttribute()`
`UserAttributeSubpacket` | `getSubpacket(int type)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSubpacket

    public UserAttributeSubpacket getSubpacket(int type)

### getImageAttribute

    public ImageAttribute getImageAttribute()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD